## ros-kinetic-cob-common 0.7.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_common)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-cob-common (0.7.4-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-kinetic-cob-common (0.7.3-1xenial) xenial; urgency=high

  * Merge pull request #288 <https://github.com/ipa320/cob_common/issues/288> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 25 Sep 2020 22:00:00 -0000

ros-kinetic-cob-common (0.7.2-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-common (0.7.1-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-common (0.7.0-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-kinetic-cob-common (0.6.12-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 19 May 2019 22:00:00 -0000

ros-kinetic-cob-common (0.6.11-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-kinetic-cob-common (0.6.10-1xenial) xenial; urgency=high

  * Merge pull request #263 <https://github.com/ipa320/cob_common/issues/263> from fmessmer/add_cob_actions
    add cob_actions
  * add cob_actions
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-kinetic-cob-common (0.6.9-1xenial) xenial; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-common (0.6.8-1xenial) xenial; urgency=high

  * Merge pull request #246 <https://github.com/ipa320/cob_common/issues/246> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #230 <https://github.com/ipa320/cob_common/issues/230> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #224 <https://github.com/ipa320/cob_common/issues/224> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-common (0.6.7-1xenial) xenial; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-kinetic-cob-common (0.6.6-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-common (0.6.5-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-common (0.6.4-1xenial) xenial; urgency=high

  * migrate to package format 2
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-kinetic-cob-common (0.6.3-1xenial) xenial; urgency=high

  * remove brics_actuator
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-common (0.6.2-1xenial) xenial; urgency=high

  * merge
  * delete desire_description
  * Contributors: Florian Weisshardt, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-kinetic-cob-common (0.6.1-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 23 Sep 2014 22:00:00 -0000

ros-kinetic-cob-common (0.6.0-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 15 Sep 2014 22:00:00 -0000

ros-kinetic-cob-common (0.5.5-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 26 Aug 2014 22:00:00 -0000

ros-kinetic-cob-common (0.5.4-1xenial) xenial; urgency=high

  * update changelog
  * introducing cob_msgs package in order to replace pr2_msgs
  * cleaning up debs
  * cleaning up debs
  * Merge pull request #95 <https://github.com/ipa320/cob_common/issues/95> from ipa320/hydro_release_candidate
    bring back changes from Hydro release candidate
  * New maintainer
  * Contributors: Felix Messmer, Florian Weisshardt, Nadia Hammoudeh García, ipa-fxm, ipa-nhg

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-kinetic-cob-common (0.5.3-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-kinetic-cob-common (0.5.2-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-kinetic-cob-common (0.5.1-1xenial) xenial; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Fri, 16 Aug 2013 02:14:35 +0200

ros-kinetic-cob-common (0.5.0-1xenial) xenial; urgency=high

  * Catkin for cob_common
  * Contributors: abubeck

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Fri, 16 Aug 2013 02:14:35 +0200

=== debian/control ===
Source: ros-kinetic-cob-common
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/cob_common
Standards-Version: 3.9.2

Package: ros-kinetic-cob-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cob-actions, ros-kinetic-cob-description, ros-kinetic-cob-msgs, ros-kinetic-cob-srvs, ros-kinetic-raw-description
Description: The cob_common stack hosts common packages that are used within the Care-O-bot repository.
 E.g. utility packages or common message and service definitions etc. Also the urdf desciption of the robot is located in this stack.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-common//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
